blaze-builder-0.4.0.1: Efficient buffered output.

Copyright | (c) 2013 Simon Meier
License | BSD3
Maintainer | Leon P Smith <leon@melding-monads.com>
Stability | experimental
Safe Haskell | None
Language | Haskell98

Blaze.ByteString.Builder.HTTP

Contents

- Chunked HTTP transfer encoding

Description

Support for HTTP response encoding.

Synopsis

- chunkedTransferEncoding :: Builder -> Builder
- chunkedTransferTerminator :: Builder

# Chunked HTTP transfer encoding

chunkedTransferEncoding :: Builder -> Builder

Transform a builder such that it uses chunked HTTP transfer encoding.

chunkedTransferTerminator :: Builder

The zero-length chunk '0\r\n\r\n' signaling the termination of the data transfer.